Bug 1197199 - error: Error - Unexpected Status, failed to get file list
Summary: error: Error - Unexpected Status, failed to get file list
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: zanata-python-client
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: anish
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-27 19:07 UTC by Kevin Raymond
Modified: 2015-04-23 16:09 UTC (History)
6 users (show)

Fixed In Version: zanata-python-client-1.3.21-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-08 22:49:38 UTC


Attachments (Terms of Use)

Description Kevin Raymond 2015-02-27 19:07:44 UTC
We are using this client in order to build the fedora websites.
However, we can't move forward pulling POs... This client version just doesn't work.

What was wrong about the upgrade?
http://koji.fedoraproject.org/koji/buildinfo?buildID=590593

I just took the srpm from koji, (release 1.3.13) and I get the exact same issues.
Can't get project info, can't pull POs... I am using a zanata.xml file but tried giving explicit args..

I can see many fixed on the upstream repo... Would you mind provide us a rebuild which fixes facing issues?

(I try to add some patches, but can't manage to fix it, 312679b 1594598 ee831ff 4ef7fc0 e0a5186 cdb8769 312679b)


zanata project info --project-id fedora-web --project-version getefedora.org
Loading zanata project config from: /home/fedora/shaiton/test/zanata.xml
Traceback (most recent call last):
  File "/usr/bin/zanata", line 25, in <module>
    zanata.run()
  File "/usr/lib/python2.6/site-packages/zanataclient/zanata.py", line 945, in run
    program_name=os.path.split(sys.argv[0])[1],
  File "/usr/lib/python2.6/site-packages/zanataclient/command.py", line 339, in handle_program
    command(command_options, args)
  File "/usr/lib/python2.6/site-packages/zanataclient/zanata.py", line 529, in project_info
    zanatacmd.project_info(project_id)
  File "/usr/lib/python2.6/site-packages/zanataclient/zanatacmd.py", line 209, in project_info
    print ("Project ID:          %s")%p.id
AttributeError: 'NoneType' object has no attribute 'id'


Red Hat Enterprise Linux Server release 6.6 (Santiago)

[shaiton@app01.stg test]$ zanata pull --project-id fedora-web --project-version getfedora.org --lang fr
Loading zanata project config from: /home/fedora/shaiton/test/zanata.xml
Loading zanata user config from: /home/fedora/shaiton/.config/zanata.ini
zanata server: https://fedora.zanata.org
zanata python client version: 1.3.13
Project: fedora-web
Version: getfedora.org
Username: shaiton
error: Error - Unexpected Status, failed to get file list
Please take a reference in https://github.com/zanata/zanata/wiki/Python-Client-Troubleshooting

Comment 1 Robert Mayr 2015-02-28 10:40:49 UTC
Hi Kévin,
not sure if an updated version can fix this, but I've built the new 1.3.19 version with a small fix to make it run also on el6.
You can see the source RPM and SPEC file here:
SPEC Url: https://robyduck.fedorapeople.org/packages/SPECS/zanata-python-client.spec
SRPM Url: https://robyduck.fedorapeople.org/packages/SRPMS/zanata-python-client-1.3.19-2.fc21.src.rpm
F21 RPM: https://robyduck.fedorapeople.org/packages/RPMS/noarch/zanata-python-client-1.3.19-2.fc21.noarch.rpm

I've done also a Koji build specifically for el6, so you can try.
http://koji.fedoraproject.org/koji/taskinfo?taskID=9098877

If it works as it should I could ask Anish to push this (or if he wants I can do it too if he gives me commit access) to updates. We could fix it definitely later with the next release version, as this package also needs to be ready for python3 I guess.

Comment 2 anish 2015-03-02 09:42:01 UTC
Hi Kevin,

Thank you for bug report, I am using client with version 1.3.19 on Fedora 22 and above command works fine. 

zanata project info --project-id fedora-web --project-version getefedora.org
Project ID:          fedora-web
Project Name:        Fedora Websites
Project Description: Strings used in all Fedora Websites.


zanata pull --project-id fedora-web --project-version getfedora.org --lang fr
Project: fedora-web
Version: getfedora.org
Username: anish
Source language: en-US

Fetching the content of getfedora from Zanata server: 
Retrieving fr translation from server:
Writing po file to /home/anish/commit/zanata-python-client/po/fr.po

The version you are using is not deprecated,I will update zanata-python-client on EL6 branch as well.

Comment 3 anish 2015-03-02 09:46:59 UTC
Hi Robert,

Thank you for your help,if you want to submit any patch or change then I would like to give you commit access and I am planning to port it for Python 3.

Thanks,
Anish

Comment 4 Fedora Update System 2015-03-02 09:55:23 UTC
zanata-python-client-1.3.20-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.20-1.fc22

Comment 5 Fedora Update System 2015-03-02 09:55:28 UTC
zanata-python-client-1.3.20-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.20-1.fc21

Comment 6 Fedora Update System 2015-03-02 09:55:36 UTC
zanata-python-client-1.3.20-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.20-1.el7

Comment 7 Robert Mayr 2015-03-02 09:56:32 UTC
Hi Anish,
I've requested commit access.
The last version 1.3.19-1 is running fine on F22, but it's not built for el6. I'd just push a new 1.3.19-2 build for el6 and push it to updates.

For python3 we can see and maybe wait a new 1.3.20 to do this ;)

Comment 8 Fedora Update System 2015-03-02 09:56:45 UTC
zanata-python-client-1.3.20-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.20-1.el6

Comment 9 Fedora Update System 2015-03-02 09:56:51 UTC
zanata-python-client-1.3.20-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.20-1.fc20

Comment 10 anish 2015-03-02 10:06:15 UTC
(In reply to Robert Mayr from comment #7)

Hi Robert,

> Hi Anish,
> I've requested commit access.

I did not get any request for commit access :), may be its due to java script browser issue 

Thanks,
Anish P.

Comment 11 Robert Mayr 2015-03-02 10:07:38 UTC
Anish, nice option.
This package will work too and we have the latest version.
Thank you.
Robert

Comment 12 Fedora Update System 2015-03-02 23:07:51 UTC
Package zanata-python-client-1.3.20-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing zanata-python-client-1.3.20-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2969/zanata-python-client-1.3.20-1.fc22
then log in and leave karma (feedback).

Comment 13 Fedora Update System 2015-03-03 15:57:04 UTC
zanata-python-client-1.3.21-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.21-1.fc20

Comment 14 Fedora Update System 2015-03-03 15:58:14 UTC
zanata-python-client-1.3.21-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.21-1.fc21

Comment 15 Fedora Update System 2015-03-03 15:58:21 UTC
zanata-python-client-1.3.21-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.21-1.fc22

Comment 16 Fedora Update System 2015-03-03 15:58:28 UTC
zanata-python-client-1.3.21-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.21-1.el6

Comment 17 Fedora Update System 2015-03-03 15:58:34 UTC
zanata-python-client-1.3.21-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.21-1.el7

Comment 18 Fedora Update System 2015-03-08 22:49:38 UTC
zanata-python-client-1.3.21-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-04-22 18:45:08 UTC
zanata-python-client-1.3.21-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2015-04-23 16:06:02 UTC
zanata-python-client-1.3.21-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2015-04-23 16:07:42 UTC
zanata-python-client-1.3.21-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2015-04-23 16:09:36 UTC
zanata-python-client-1.3.21-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.